Skip to main content

List dictionaries (paginated)

GET
/dictionaries

Contract

Parameter
Value
Sectiondictionaries
AuthenticationCookieAuth
Consumesnot required
Producesapplication/json

Parameters

5 parameters

Name
Location
Required
Type
Description
inputquerynostringSearch string
countqueryyesintegerPage size
pagequeryyesintegerPage number, starting at 1
keyqueryyesstringSort field
orderqueryyesenum(asc, desc)Sort direction
  • "asc"

Responses

4 responses

Status
Description
Type
200
Successful responseobject
400
Invalid query parametersobject
401
Unauthorizedobject
500
Internal server errorobject
  • {
      "cursor": {
        "count": 0,
        "currentPage": 0,
        "totalPages": 0,
        "totalRows": 0
      },
      "data": [
        {
          "columns": [
            "<string>"
          ],
          "config": {
            "<key>": {}
          },
          "createdAt": "<string>",
          "description": "<string>",
          "id": 0,
          "issuer": {
            "agreementAccepted": true,
            "createdAt": "<string>",
            "deletedAt": "<string>",
            "email": "<string>",
            "group": {
              "createdAt": "<string>",
              "deletedAt": "<string>",
              "id": 0,
              "issuer": {},
              "issuerID": 0,
              "name": "<string>",
              "permissions": [
                {}
              ],
              "updatedAt": "<string>",
              "users": [
                {}
              ]
            },
            "groupID": 0,
            "id": 0,
            "isActive": true,
            "isRequiredToSetPassword": true,
            "lastLogin": "<string>",
            "notificationsReadAt": "<string>",
            "passwordLength": 0,
            "realName": "<string>",
            "updatedAt": "<string>"
          },
          "issuerId": 0,
          "name": "<string>",
          "rows": [
            [
              "<string>"
            ]
          ],
          "selection": "<string>",
          "tags": "<string>",
          "type": "<string>",
          "updatedAt": "<string>",
          "values": [
            "<string>"
          ]
        }
      ]
    }
  • {
      "data": {},
      "error": "<string>"
    }
  • {
      "data": {},
      "error": "<string>"
    }
  • {
      "data": {},
      "error": "<string>"
    }